Summary:	xdriinfo application to query configuration information of DRI drivers
Summary(pl.UTF-8):	Aplikacja xdriinfo do sprawdzania konfiguracji sterowników DRI
Name:		xorg-app-xdriinfo
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xdriinfo-%{version}.tar.bz2
# Source0-md5:	fceddaeb08e32e027d12a71490665866
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xdriinfo program can be used to query configuration information of
direct rendering drivers. If no command argument is specified it lists
the names of the direct rendering drivers for all screens.

%description -l pl.UTF-8
Program xdriinfo służy do odczytu informacji o konfiguracji
sterowników bezpośredniego renderingu (Direct Rendering, DRI). Jeśli
nie podano argumentu z linii poleceń, program wyświetla nazwy
sterowników DRI dla wszystkich ekranów.

%prep
%setup -q -n xdriinfo-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xdriinfo
%{_mandir}/man1/xdriinfo.1*
%changelog
* Thu May 14 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xdriinfo.git;a=log;h=master

* Mon Apr 20 2015 Jakub Bogusz <qboosh@pld-linux.org> e587715
- updated to 1.0.5

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> c352a95
- updated to 1.0.4

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 707db98
- updated to 1.0.3

* Fri Apr 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f1a743
- release 2

* Tue Aug 21 2007 Jakub Bogusz <qboosh@pld-linux.org> f317afe
- real descs from man page

* Sun Aug 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a521f99
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f870e70
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f12125
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> bea2e90
- more verbose files

* Sun Apr 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 6775898
- up to 1.0.1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 58ad0c6
- 1.0.0 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 89d7a2a
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> f374297
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 10fe14d
- new (build not tested yet)

